List Participant Records
get
/public/v1/participant-recordsfilter[status]stringFilter by record status. Comma-separate to combine values. One of: archived, current, expired, missing.
Example:currentfilter[participant]stringFilter by participant UUID. Comma-separate to combine values.
Example:f1o2r3m4-a5b6-47c8-9d0e-1f2a3b4c5d6efilter[signature_status]stringFilter by signature status. Comma-separate to combine values. One of: awaiting_signatures, not_required, not_sent, signed.
Example:signedpage[size]integerNumber of results per page. Minimum 1, maximum 100.
Default:25page[number]integerThe page number to retrieve. Use the
last_pagevalue from themetaresponse to determine the total number of pages available.Default:1
Response
200application/jsonPaginated set of ParticipantRecordResource
dataobject[]required▶Show 10 child attributesHide child attributes
idstringrequiredExample:r1a2b3c4-d5e6-47f8-9a0b-1c2d3e4f5a6bnamestring | nullrequiredExample:Police Checkreferencestring | nullrequiredExample:REF-12345statusstringrequiredExample:currentsignature_statusstringrequiredExample:signedissue_datestring | nullrequiredExample:2024-01-15T00:00:00+00:00expiry_datestring | nullrequiredExample:2025-01-15T00:00:00+00:00created_atstringrequiredExample:2024-01-15T10:30:00+00:00participantobjectrequired▶Show 2 child attributesHide child attributes
idstringrequiredExample:p1a2r3t4-e5f6-47a8-9b0c-1d2e3f4a5b6cfull_namestringrequiredExample:John Doe
record_typeobjectrequired▶Show 2 child attributesHide child attributes
idstringrequiredExample:rt1a2b3c-d4e5-6f7a-8b9c-0d1e2f3a4b5cnamestringrequiredExample:Police Check
metaobjectrequired▶Show 5 child attributesHide child attributes
current_pageintegerrequired≥ 1last_pageintegerrequired≥ 1per_pageintegerrequired≥ 0Number of items shown per page.
totalintegerrequired≥ 0Total number of items being paginated.
allowed_sortsstring[]requiredThe list of allowed sorts for this endpoint.
401Unauthenticated403Authorization error